.mc-component-library .v-data-table {
  width: 100%;
}

.mc-component-library .v-data-table__table {
  width: 100%;
  border-collapse: separate;
  border-spacing: 0;
}

.mc-component-library .v-data-table__tr--focus {
  border: 1px dotted black;
}
.mc-component-library .v-data-table__tr--clickable {
  cursor: pointer;
}

.mc-component-library .v-data-table .v-table__wrapper > table > thead > tr > td.v-data-table-column--align-end,
.mc-component-library .v-data-table .v-table__wrapper > table > thead > tr th.v-data-table-column--align-end,
.mc-component-library .v-data-table .v-table__wrapper > table tbody > tr > td.v-data-table-column--align-end,
.mc-component-library .v-data-table .v-table__wrapper > table tbody > tr th.v-data-table-column--align-end {
  text-align: end;
}
.mc-component-library .v-data-table .v-table__wrapper > table > thead > tr > td.v-data-table-column--align-end .v-data-table-header__content,
.mc-component-library .v-data-table .v-table__wrapper > table > thead > tr th.v-data-table-column--align-end .v-data-table-header__content,
.mc-component-library .v-data-table .v-table__wrapper > table tbody > tr > td.v-data-table-column--align-end .v-data-table-header__content,
.mc-component-library .v-data-table .v-table__wrapper > table tbody > tr th.v-data-table-column--align-end .v-data-table-header__content {
  flex-direction: row-reverse;
}
.mc-component-library .v-data-table .v-table__wrapper > table > thead > tr > td.v-data-table-column--align-center,
.mc-component-library .v-data-table .v-table__wrapper > table > thead > tr th.v-data-table-column--align-center,
.mc-component-library .v-data-table .v-table__wrapper > table tbody > tr > td.v-data-table-column--align-center,
.mc-component-library .v-data-table .v-table__wrapper > table tbody > tr th.v-data-table-column--align-center {
  text-align: center;
}
.mc-component-library .v-data-table .v-table__wrapper > table > thead > tr > td.v-data-table-column--align-center .v-data-table-header__content,
.mc-component-library .v-data-table .v-table__wrapper > table > thead > tr th.v-data-table-column--align-center .v-data-table-header__content,
.mc-component-library .v-data-table .v-table__wrapper > table tbody > tr > td.v-data-table-column--align-center .v-data-table-header__content,
.mc-component-library .v-data-table .v-table__wrapper > table tbody > tr th.v-data-table-column--align-center .v-data-table-header__content {
  justify-content: center;
}
.mc-component-library .v-data-table .v-table__wrapper > table > thead > tr > td.v-data-table-column--no-padding,
.mc-component-library .v-data-table .v-table__wrapper > table > thead > tr th.v-data-table-column--no-padding,
.mc-component-library .v-data-table .v-table__wrapper > table tbody > tr > td.v-data-table-column--no-padding,
.mc-component-library .v-data-table .v-table__wrapper > table tbody > tr th.v-data-table-column--no-padding {
  padding: 0 8px;
}
.mc-component-library .v-data-table .v-table__wrapper > table > thead > tr > td.v-data-table-column--nowrap,
.mc-component-library .v-data-table .v-table__wrapper > table > thead > tr th.v-data-table-column--nowrap,
.mc-component-library .v-data-table .v-table__wrapper > table tbody > tr > td.v-data-table-column--nowrap,
.mc-component-library .v-data-table .v-table__wrapper > table tbody > tr th.v-data-table-column--nowrap {
  text-overflow: ellipsis;
  text-wrap: nowrap;
  overflow: hidden;
}
.mc-component-library .v-data-table .v-table__wrapper > table > thead > tr > td.v-data-table-column--nowrap .v-data-table-header__content,
.mc-component-library .v-data-table .v-table__wrapper > table > thead > tr th.v-data-table-column--nowrap .v-data-table-header__content,
.mc-component-library .v-data-table .v-table__wrapper > table tbody > tr > td.v-data-table-column--nowrap .v-data-table-header__content,
.mc-component-library .v-data-table .v-table__wrapper > table tbody > tr th.v-data-table-column--nowrap .v-data-table-header__content {
  display: contents;
}
.mc-component-library .v-data-table .v-table__wrapper > table > thead > tr > th,
.mc-component-library .v-data-table .v-table__wrapper > table tbody > tr > th {
  align-items: center;
}
.mc-component-library .v-data-table .v-table__wrapper > table > thead > tr > th.v-data-table__th--fixed,
.mc-component-library .v-data-table .v-table__wrapper > table tbody > tr > th.v-data-table__th--fixed {
  position: sticky;
}
.mc-component-library .v-data-table .v-table__wrapper > table > thead > tr > th.v-data-table__th--sortable:hover,
.mc-component-library .v-data-table .v-table__wrapper > table tbody > tr > th.v-data-table__th--sortable:hover {
  cursor: pointer;
  color: rgba(var(--v-theme-on-surface), var(--v-high-emphasis-opacity));
}
.mc-component-library .v-data-table .v-table__wrapper > table > thead > tr > th:not(.v-data-table__th--sorted) .v-data-table-header__sort-icon,
.mc-component-library .v-data-table .v-table__wrapper > table tbody > tr > th:not(.v-data-table__th--sorted) .v-data-table-header__sort-icon {
  opacity: 0;
}
.mc-component-library .v-data-table .v-table__wrapper > table > thead > tr > th:not(.v-data-table__th--sorted):hover .v-data-table-header__sort-icon,
.mc-component-library .v-data-table .v-table__wrapper > table tbody > tr > th:not(.v-data-table__th--sorted):hover .v-data-table-header__sort-icon {
  opacity: 0.5;
}
.mc-component-library .v-data-table .v-table__wrapper > table > thead > tr.v-data-table__tr--mobile > td,
.mc-component-library .v-data-table .v-table__wrapper > table tbody > tr.v-data-table__tr--mobile > td {
  height: fit-content;
}

.mc-component-library .v-data-table-column--fixed,
.mc-component-library .v-data-table__th--sticky {
  background: rgb(var(--v-theme-surface));
  position: sticky !important;
  left: 0;
  z-index: 1;
}

.mc-component-library .v-data-table-column--last-fixed {
  border-right: 1px solid rgba(var(--v-border-color), var(--v-border-opacity));
}

.mc-component-library .v-data-table.v-table--fixed-header > .v-table__wrapper > table > thead > tr > th.v-data-table-column--fixed {
  z-index: 2;
}

.mc-component-library .v-data-table-group-header-row td {
  background: rgba(var(--v-theme-surface));
  color: rgba(var(--v-theme-on-surface));
}
.mc-component-library .v-data-table-group-header-row td > span {
  padding-left: 5px;
}

.mc-component-library .v-data-table--loading .v-data-table__td {
  opacity: var(--v-disabled-opacity);
}

.mc-component-library .v-data-table-group-header-row__column {
  padding-left: calc(var(--v-data-table-group-header-row-depth) * 16px) !important;
}

.mc-component-library .v-data-table-header__content {
  display: flex;
  align-items: center;
}

.mc-component-library .v-data-table-header__sort-badge {
  display: inline-flex;
  justify-content: center;
  align-items: center;
  font-size: 0.875rem;
  padding: 4px;
  border-radius: 50%;
  background: rgba(var(--v-border-color), var(--v-border-opacity));
  min-width: 20px;
  min-height: 20px;
  width: 20px;
  height: 20px;
}

.mc-component-library .v-data-table-progress > th {
  border: none !important;
  height: auto !important;
  padding: 0 !important;
}

.mc-component-library .v-data-table-progress__loader {
  position: relative;
}

.mc-component-library .v-data-table-rows-loading,
.mc-component-library .v-data-table-rows-no-data {
  text-align: center;
}

.mc-component-library .v-data-table__tr--mobile > .v-data-table__td--expanded-row {
  grid-template-columns: auto;
  justify-content: center;
}
.mc-component-library .v-data-table__tr--mobile > .v-data-table__td--select-row {
  grid-template-columns: 0;
  justify-content: end;
}
.mc-component-library .v-data-table__tr--mobile > td {
  align-items: center;
  column-gap: 4px;
  display: grid;
  grid-template-columns: repeat(2, 1fr);
  min-height: var(--v-table-row-height);
}
.mc-component-library .v-data-table__tr--mobile > td:not(:last-child) {
  border-bottom: 0 !important;
}

.mc-component-library .v-data-table__td-title {
  font-weight: 500;
  text-align: start;
}

.mc-component-library .v-data-table__td-value {
  text-align: end;
}

.mc-component-library .v-data-table__td-sort-icon {
  color: rgba(var(--v-theme-on-surface), var(--v-disabled-opacity));
}
.mc-component-library .v-data-table__td-sort-icon-active {
  color: rgba(var(--v-theme-on-surface));
}.mc-component-library .v-data-table-footer {
  align-items: center;
  display: flex;
  flex-wrap: wrap;
  justify-content: flex-end;
  padding: 8px 4px;
}
.mc-component-library .v-data-table-footer__items-per-page {
  align-items: center;
  display: flex;
  justify-content: center;
}
.mc-component-library .v-data-table-footer__items-per-page > span {
  padding-inline-end: 8px;
}
.mc-component-library .v-data-table-footer__items-per-page > .v-select {
  width: 90px;
}
.mc-component-library .v-data-table-footer__info {
  display: flex;
  justify-content: flex-end;
  min-width: 116px;
  padding: 0 16px;
}
.mc-component-library .v-data-table-footer__paginationz {
  align-items: center;
  display: flex;
  margin-inline-start: 16px;
}
.mc-component-library .v-data-table-footer__page {
  padding: 0 8px;
}.mc-component-library .v-pagination__list {
  display: inline-flex;
  list-style-type: none;
  justify-content: center;
  width: 100%;
}
.mc-component-library .v-pagination__item, .mc-component-library .v-pagination__first, .mc-component-library .v-pagination__prev, .mc-component-library .v-pagination__next, .mc-component-library .v-pagination__last {
  margin: 0.3rem;
}.mc-component-library .v-table {
  font-size: 0.875rem;
  transition-duration: 0.28s;
  transition-property: box-shadow, opacity, background, height;
  transition-timing-function: cubic-bezier(0.4, 0, 0.2, 1);
}
.mc-component-library .v-table {
  background: rgb(var(--v-theme-surface));
  color: rgba(var(--v-theme-on-surface), var(--v-high-emphasis-opacity));
}
.mc-component-library .v-table .v-table-divider {
  border-right: thin solid rgba(var(--v-border-color), var(--v-border-opacity));
}
.mc-component-library .v-table .v-table__wrapper > table > thead > tr > th {
  border-bottom: thin solid rgba(var(--v-border-color), var(--v-border-opacity));
}
.mc-component-library .v-table .v-table__wrapper > table > tbody > tr:not(:last-child) > td,
.mc-component-library .v-table .v-table__wrapper > table > tbody > tr:not(:last-child) > th {
  border-bottom: thin solid rgba(var(--v-border-color), var(--v-border-opacity));
}
.mc-component-library .v-table .v-table__wrapper > table > tfoot > tr > td,
.mc-component-library .v-table .v-table__wrapper > table > tfoot > tr > th {
  border-top: thin solid rgba(var(--v-border-color), var(--v-border-opacity));
}
.mc-component-library .v-table.v-table--hover > .v-table__wrapper > table > tbody > tr > td {
  position: relative;
}
.mc-component-library .v-table.v-table--hover > .v-table__wrapper > table > tbody > tr:hover > td::after {
  background: rgba(var(--v-border-color), var(--v-hover-opacity));
  pointer-events: none;
}
.mc-component-library .v-table.v-table--hover > .v-table__wrapper > table > tbody > tr:hover > td::after {
  content: "";
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
}
.mc-component-library .v-table.v-table--fixed-header > .v-table__wrapper > table > thead > tr > th {
  background: rgb(var(--v-theme-surface));
  box-shadow: inset 0 -1px 0 rgba(var(--v-border-color), var(--v-border-opacity));
  z-index: 1;
}
.mc-component-library .v-table.v-table--fixed-footer > tfoot > tr > th,
.mc-component-library .v-table.v-table--fixed-footer > tfoot > tr > td {
  background: rgb(var(--v-theme-surface));
  box-shadow: inset 0 1px 0 rgba(var(--v-border-color), var(--v-border-opacity));
}

.mc-component-library .v-table {
  border-radius: inherit;
  line-height: 1.5;
  max-width: 100%;
  display: flex;
  flex-direction: column;
}
.mc-component-library .v-table > .v-table__wrapper > table {
  width: 100%;
  border-spacing: 0;
}
.mc-component-library .v-table > .v-table__wrapper > table > tbody > tr > td,
.mc-component-library .v-table > .v-table__wrapper > table > tbody > tr > th,
.mc-component-library .v-table > .v-table__wrapper > table > thead > tr > td,
.mc-component-library .v-table > .v-table__wrapper > table > thead > tr > th,
.mc-component-library .v-table > .v-table__wrapper > table > tfoot > tr > td,
.mc-component-library .v-table > .v-table__wrapper > table > tfoot > tr > th {
  padding: 0 16px;
  transition-duration: 0.28s;
  transition-property: box-shadow, opacity, background, height;
  transition-timing-function: cubic-bezier(0.4, 0, 0.2, 1);
}
.mc-component-library .v-table > .v-table__wrapper > table > tbody > tr > td,
.mc-component-library .v-table > .v-table__wrapper > table > thead > tr > td,
.mc-component-library .v-table > .v-table__wrapper > table > tfoot > tr > td {
  height: var(--v-table-row-height);
}
.mc-component-library .v-table > .v-table__wrapper > table > tbody > tr > th,
.mc-component-library .v-table > .v-table__wrapper > table > thead > tr > th,
.mc-component-library .v-table > .v-table__wrapper > table > tfoot > tr > th {
  height: var(--v-table-header-height);
  font-weight: 500;
  user-select: none;
  text-align: start;
}
.mc-component-library .v-table--density-default {
  --v-table-header-height: 56px;
  --v-table-row-height: 52px;
}

.mc-component-library .v-table--density-comfortable {
  --v-table-header-height: 48px;
  --v-table-row-height: 44px;
}

.mc-component-library .v-table--density-compact {
  --v-table-header-height: 40px;
  --v-table-row-height: 36px;
}

.mc-component-library .v-table__wrapper {
  border-radius: inherit;
  overflow: auto;
  flex: 1 1 auto;
}

.mc-component-library .v-table--has-top > .v-table__wrapper {
  border-top-left-radius: 0;
  border-top-right-radius: 0;
}

.mc-component-library .v-table--has-bottom > .v-table__wrapper {
  border-bottom-left-radius: 0;
  border-bottom-right-radius: 0;
}

.mc-component-library .v-table--fixed-height > .v-table__wrapper {
  overflow-y: auto;
}

.mc-component-library .v-table--fixed-header > .v-table__wrapper > table > thead {
  position: sticky;
  top: 0;
  z-index: 2;
}
.mc-component-library .v-table--fixed-header > .v-table__wrapper > table > thead > tr > th {
  border-bottom: 0px !important;
}

.mc-component-library .v-table--fixed-footer > .v-table__wrapper > table > tfoot > tr {
  position: sticky;
  bottom: 0;
  z-index: 1;
}
.mc-component-library .v-table--fixed-footer > .v-table__wrapper > table > tfoot > tr > td,
.mc-component-library .v-table--fixed-footer > .v-table__wrapper > table > tfoot > tr > th {
  border-top: 0px !important;
}.mc-component-library .mc-table .v-form {
  overflow: visible !important;
}
.mc-component-library .mc-table .v-data-table-group-header-row td:not(.v-data-table-group-header-row__column) {
  display: none;
}
.mc-component-library .mc-table .v-table__wrapper {
  overflow: visible;
}
.mc-component-library .mc-table table {
  border: 1px solid rgb(var(--v-theme-border));
  border-radius: 5px;
}
.mc-component-library .mc-table table th {
  background-color: #F8FAFC;
}
.mc-component-library .mc-table table td {
  word-break: break-word;
  hyphens: auto;
}
.mc-component-library .mc-table table tbody .v-input:not(.v-switch) {
  margin: 10px 0;
}
.mc-component-library .mc-table table tbody .v-input:not(.v-switch) .v-input__details {
  padding-bottom: 0;
}
.mc-component-library .mc-table table .v-selection-control--dirty .v-selection-control__input i {
  color: rgb(var(--v-theme-error));
}
.mc-component-library .mc-table table .v-data-table-progress {
  color: rgb(var(--v-theme-primary));
}
.mc-component-library .mc-table table .v-data-table-header__sort-icon {
  color: rgb(var(--v-theme-error));
}
.mc-component-library .mc-table .mc-table-actions {
  padding-bottom: 8px;
  display: flex;
  flex-wrap: wrap;
  overflow: visible;
}
.mc-component-library .mc-table .mc-table-actions .mc-table-menu {
  justify-content: flex-end;
  align-items: center;
}
.mc-component-library .mc-table .mc-table-actions .mc-table-custom-table-actions {
  padding-right: 16px;
  min-width: 200px;
}
.mc-component-library .mc-table .mc-table-actions .mc-table-actions-count {
  display: flex;
  flex: 1;
  justify-content: start;
  font-size: 14px;
  color: rgb(var(--v-theme-grey));
  align-items: center;
}
.mc-component-library .mc-table .mc-table-actions > div {
  display: flex;
  flex: 1;
}
.mc-component-library .mc-table .mc-table-actions .mc-table-action-activator {
  display: flex;
  flex: 1;
  justify-content: end;
  align-items: center;
}
.mc-component-library .mc-table .mc-table-actions .mc-table-action-activator .v-btn--disabled {
  opacity: 0.3;
}
.mc-component-library .mc-table .v-data-table__tr {
  position: relative;
  --v-table-row-height: 56px;
}
.mc-component-library .mc-table .v-divider {
  display: none;
}
.mc-component-library .mc-table .v-data-table__tr--mobile .v-data-table__td-value > * {
  justify-content: end;
  max-width: none;
  width: auto;
}
.mc-component-library .mc-table .v-data-table__tr--mobile .mc-table-item-actions {
  justify-content: right;
}
.mc-component-library .mc-table .mc-table-item-actions {
  display: flex;
  justify-content: center;
}
.mc-component-library .mc-table .mc-table-item-actions > div {
  display: flex;
  align-items: center;
}
.mc-component-library .mc-table .mc-table-item-actions .edit-mode-overlay {
  position: absolute;
  top: 0;
  left: 0;
  bottom: 0;
  right: 0;
  z-index: 1000;
  background-color: rgba(var(--v-theme-surface), 0.7);
}
.mc-component-library .mc-table .v-data-table-footer__items-per-page .v-field {
  max-width: 90px;
}
.mc-component-library .mc-table-item-action-menu .v-list, .mc-component-library .mc-table-action-menu .v-list {
  min-width: 180px;
  padding: 0;
}
.mc-component-library .mc-table-item-action-menu .v-list .mc-list-item, .mc-component-library .mc-table-action-menu .v-list .mc-list-item {
  padding-right: 0;
}
.mc-component-library .mc-table-item-action-menu .v-list .mc-list-item .v-list-item__prepend, .mc-component-library .mc-table-action-menu .v-list .mc-list-item .v-list-item__prepend {
  padding-right: 10px;
}
.mc-component-library .mc-table-item-action-menu .v-list .action-menu-loading.is-hidden, .mc-component-library .mc-table-action-menu .v-list .action-menu-loading.is-hidden {
  visibility: hidden;
}
.mc-component-library .mc-table-item-action-menu .v-list .v-list-item__content, .mc-component-library .mc-table-action-menu .v-list .v-list-item__content {
  text-align: end;
}